<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateDamageCheckingRecordsDatasTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('qc_damage_checking_records_data', function (Blueprint $table) {
            $table->id('dcr_data_id');
            $table->integer('dcr_id');
            $table->date('date');
            $table->integer('shift_id');
            $table->integer('hour');
            $table->decimal('seal_damage');
            $table->decimal('block_damage');
            $table->decimal('slab_damage');
            $table->decimal('print_damage');
            $table->decimal('packing_damage');
            $table->decimal('other_damage');
            $table->decimal('qc_seal_damage')->nullable()->default('0');
            $table->decimal('qc_block_damage')->nullable()->default('0');
            $table->decimal('qc_slab_damage')->nullable()->default('0');
            $table->decimal('qc_print_damage')->nullable()->default('0');
            $table->decimal('qc_packing_damage')->nullable()->default('0');
            $table->decimal('qc_other_damage')->nullable()->default('0');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('damage_checking_records_data');
    }
}
