@extends('qc::layouts.app')

@section('head')
    <!-- DataTable -->
    <link rel="stylesheet" href="{{ url('vendors/dataTable/datatables.min.css') }}" type="text/css">
    <!-- Prism -->
    <link rel="stylesheet" href="{{ url('vendors/prism/prism.css') }}" type="text/css">
    <link rel="stylesheet" href="{{ url('vendors/datepicker/daterangepicker.css') }}" type="text/css">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.70/pdfmake.js"
        integrity="sha512-rn5JpU98RtYVMtZeQJfzmJ67rl4/dqDpGZ393z5f9WMYHXEU4+8Stm/PQAma2gbsLbpClmUHJzT0DaG32OmEyQ=="
        crossorigin="anonymous"></script>

    <!-- AutoComplete -->
    <link rel="stylesheet" href="{{ Module::asset('qc:js/autocomplete/css/autocomplete.min.css') }}" type="text/css">

    <meta name="csrf-token" content="{{ csrf_token() }}">
@endsection

@section('content')
<div class="page-header">
    <div>
        <h3>Damage Checking Records</h3>
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item">
                    <a href="#">Home</a>
                </li>
                <li class="breadcrumb-item">
                    <a href="#">Pages</a>
                </li>
                <li class="breadcrumb-item active" aria-current="page">Form Page</li>
            </ol>
        </nav>
    </div>
</div>

<div class="row">
    <div class="col-md-12">

        <div class="card mb-1">
            <div class="card-body">

                <div class="row">
                    <div class="col-md-12 border">
                        <div class="row border-bottom bg-light" style="padding: 10px;">
                            <h6>Damage Checking Records</h6>
                        </div>
                        <div class="row">
                            <div class="col-md-4 mt-3">
                                <div class="input-group mb-2 mr-sm-2">
                                    <div class="input-group-prepend">
                                        <div class="input-group-text form-control form-control-sm">Date & Time</div>
                                    </div>
                                    <input type="text" class="form-control form-control-sm" id="trans_date_time" name="trans_date_time">
                                </div>
                            </div>

                            <div class="col-md-4 mt-3">
                                <div class="input-group mb-2 mr-sm-2">
                                    <div class="input-group-prepend">
                                        <div class="input-group-text form-control form-control-sm">Order No</div>
                                    </div>
                                    <select id="customer_order_plan_data_id" name="customer_order_plan_data_id" class="form-control form-control-sm">
                                        <option>--Select Order No--</option>
                                    </select>
                                </div>
                            </div>

                            <div class="col-md-4 mt-3">
                                <div class="input-group mb-2 mr-sm-2">
                                    <div class="input-group-prepend">
                                        <div class="input-group-text form-control form-control-sm">Product Name</div>
                                    </div>
                                    <select id="product_primary_id" name="product_primary_id" class="form-control form-control-sm">
                                        <option>--Select Product Name--</option>
                                    </select>
                                </div>
                            </div>


                        </div>


                        <div class="row">
                            <div class="col-md-12">
                                <div class="table-responsive">
                                    <table class="table table-sm table-striped" id="tblData"></table>
                                </div>
                            </div>
                        </div>
                        <button type="button" class="btn btn-primary" id="addRowBtn" onclick="addEmptyRow()">
                            <i class="fa fa-plus" aria-hidden="true"></i>
                        </button>


                        <hr>

                        <div class="row border">
                            <div class="col-md-12">
                                <div class="row">
                                    <div class="col-md-12 mt-2 mb-2" style="text-align: right;">
                                        <button id="btnSave" class="btn btn-light form-control-sm">Save</button>
                                    </div>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>

            </div>

        </div>
        <div class="text-muted">
            <small>SED - Seal Damage,</small>
            <small>BD - Block Damage,</small>
            <small>SLD - Slab Damage,</small>
            <small>PRD - Print Damage,</small>
            <small>PAD - Packing Damage,</small>
            <small>OD - Other Damage</small>
        </div>
    </div>


    <div id="productChooser"></div>
    <div id="supplierChooser"></div>


</div>
@endsection

<!-- Javascript -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
@section('script')
    <script src="{{ url('vendors/datepicker/daterangepicker.js') }}"></script>

    <!-- DataTable -->
    <script src="{{ url('vendors/dataTable/datatables.min.js') }}"></script>


    {{-- <script src="{{ Module::asset('qc:js/autocomplete/js/autocomplete.min.js') }}?random=<?php echo uniqid(); ?>"></script> --}}
    <script src="{{ Module::asset('qc:js/data_chooser.js') }}?random=<?php echo uniqid(); ?>"></script>
    <script src="{{ Module::asset('qc:js/transaction_table.js') }}?random=<?php echo uniqid(); ?>"></script>

    <!-- Prism -->
    <script src="{{ url('vendors/prism/prism.js') }}"></script>z
    <script src="{{ url('assets/js/notification.js') }}?random=<?php echo uniqid(); ?>"></script>

    <script src="{{ Module::asset('qc:js/damage_checking_records.js') }}?random=<?php echo uniqid(); ?>"></script>
@endsection
